Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml.processes
Class HumanTaskNodeHandler

    java.lang.Object
      org.drools.xml.BaseAbstractHandler
          org.jbpm.compiler.xml.processes.AbstractNodeHandler
              org.jbpm.compiler.xml.processes.WorkItemNodeHandler
                  org.jbpm.compiler.xml.processes.HumanTaskNodeHandler

All Implemented Interfaces:
  org.drools.xml.Handler

    public class HumanTaskNodeHandler

extends WorkItemNodeHandler

Field Summary

Fields inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler
`EOL`

Fields inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`HumanTaskNodeHandler()`

Method Summary
`protected Node` | `createNode()`
`Class<?>` | `generateNodeFor()`
`void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`protected void` | `visitParameters(WorkItemNode workItemNode, StringBuilder xmlDump)`
`void` | `writeNode(Node node, StringBuilder xmlDump, boolean includeMeta)`

Methods inherited from class org.jbpm.compiler.xml.processes.WorkItemNodeHandler
`visitInMappings, visitOutMappings, visitWork`

Methods inherited from class org.jbpm.compiler.xml.processes.AbstractNodeHandler
`containsMetaData, end, endNode, endNode, extractAction, handleAction, initValidParents, initValidPeers, start, writeAction, writeActions, writeMetaData, writeNode, writeTimers`

Methods inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### HumanTaskNodeHandler

    public HumanTaskNodeHandler()

Method Detail

### handleNode

    public void handleNode(Node node,
                           Element element,
                           String uri,
                           String localName,
                           org.drools.xml.ExtensibleXmlParser parser)
                    throws SAXException

  Overrides:
    `handleNode` in class `WorkItemNodeHandler`
  Throws:
    `SAXException`

### createNode

    protected Node createNode()

  Overrides:
    `createNode` in class `WorkItemNodeHandler`

### generateNodeFor

    public Class<?> generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.xml.Handler`
  Overrides:
    `generateNodeFor` in class `WorkItemNodeHandler`

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          boolean includeMeta)

  Overrides:
    `writeNode` in class `WorkItemNodeHandler`

### visitParameters

    protected void visitParameters(WorkItemNode workItemNode,
                                   StringBuilder xmlDump)

  Overrides:
    `visitParameters` in class `WorkItemNodeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.